Couple patches to ensure that PM-QA scripts will run in order
and remove unnecessary checks in cpuidle_08 and cpuidle_09
scripts.
Lisa Nguyen (2):
Test: Add sort function
cpufreq: Remove unnecessary checks
Test.mk | 2 +-
cpufreq/cpufreq_08.sh | 3 ---
cpufreq/cpufreq_09.sh | 6 ------
3 files changed, 1 insertion(+), 10 deletions(-)
--
1.7.9.5
Add test which checks and prints scheduler domain flags.
Signed-off-by: Larry Bassel <larry.bassel(a)linaro.org>
---
cputopology/cputopology_03.sh | 74 ++++++++++++++++++++++++++++++++++++++++++
cputopology/cputopology_03.txt | 1 +
2 files changed, 75 insertions(+)
create mode 100755 cputopology/cputopology_03.sh
create mode 100644 cputopology/cputopology_03.txt
diff --git a/cputopology/cputopology_03.sh b/cputopology/cputopology_03.sh
new file mode 100755
index 0000000..0fc2771
--- /dev/null
+++ b/cputopology/cputopology_03.sh
@@ -0,0 +1,74 @@
+#!/bin/sh
+#
+# PM-QA validation test suite for the power management on Linux
+#
+# Copyright (C) 2015, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Contributors:
+# Larry Bassel <larry.bassel(a)linaro.org>
+#
+
+# URL : https://wiki.linaro.org/WorkingGroups/PowerManagement/Resources/TestSuite/P…
+
+. ../include/functions.sh
+
+is_flag_set() {
+ flag=$1
+ mask=$2
+ message=$3
+
+ value=$(( $flag & $mask ))
+
+ if [ $value -ne 0 ]; then
+ echo "$message set"
+ else
+ echo "$message not set"
+ fi
+}
+
+check_sched_domain_flags() {
+
+ cpu_num=$1
+ domain_num=$2
+
+ sched_domain_flags=/proc/sys/kernel/sched_domain/$cpu_num/domain$domain_num/flags
+ val=$(cat $sched_domain_flags)
+
+ check "sched_domain_flags (domain $domain_num)" "test \"$val\" != \"-1\""
+ printf "domain$domain_num flag 0x%x\n" $val
+
+ is_flag_set $val 0x80 "domain$domain_num share cpu capacity flag"
+ is_flag_set $val 0x100 "domain$domain_num share power domain flag"
+ is_flag_set $val 0x200 "domain$domain_num share cpu package resources flag"
+}
+
+check_all_sched_domain_flags() {
+
+ n=0
+
+ if ! [ -d /proc/sys/kernel/sched_domain/cpu0 ]; then
+ return
+ fi
+
+ while [ -e /proc/sys/kernel/sched_domain/$1/domain$n/flags ]; do
+ check_sched_domain_flags $1 $n
+ n=$(( n + 1))
+ done
+}
+
+for_each_cpu check_all_sched_domain_flags 1 || exit 1
+test_status_show
diff --git a/cputopology/cputopology_03.txt b/cputopology/cputopology_03.txt
new file mode 100644
index 0000000..e43de69
--- /dev/null
+++ b/cputopology/cputopology_03.txt
@@ -0,0 +1 @@
+test that the sched_domain files are present and show the topology related flags
--
1.9.1
Hello,
Linaro Systems and ITS teams are glad to announce general availability
of new generation of Private Git/Gerrit service. This service is the
successor of https://linaro-private.git.linaro.org/ , older Git-only
private service, and is based on underlying solutions which proved
themselves well on public Linaro Git services, specifically:
1. https://dev-private-git.linaro.org offers Gitweb browser and
Gitolite git self-management service.
2. https://dev-private-review.linaro.org adds change review
capabilities for private projects using Gerrit.
During the initial pilot period with couple of Linaro teams,
requirements for secure private hosting were determined. It is based on
providing each team a separate project area (identified by project path
prefix), access control to which is governed by a specific LDAP group.
Each project area is completely independent and not accessible to any
other group.
To start using the new private service, a manager of interested team
should prepare and provide project prefix and LDAP group name, as
explained above, and submit an ITS ticket in a usual way. More details
of the initial setup, usage, and constraints of the service are
available at
https://wiki.linaro.org/Internal/Platform/Systems/GitPrivate
We welcome teams interested in private Git hosting to take benefit of
the new service, as well as teams which use older server at
https://linaro-private.git.linaro.org/ to migrate to the new one.
--
Best Regards,
Paul
Linaro.org | Open source software for ARM SoCs
Follow Linaro: http://www.facebook.com/pages/Linarohttp://twitter.com/#!/linaroorg - http://www.linaro.org/linaro-blog
== Progress ==
* CARD 1103: upstream u-boot fastboot (CARD-1103: 100 %)
- Followed upon the submitted patches, handled review comments
- Erase command and other fixes got accepted
- Worked on DRA7 specific changes
== Plans ==
* upstream u-boot fastboot (CARD-1103: 100 %)
- SPI changes are specific to OMAP and it has to be change and
moved accordingly.
Need to work on this.
- Submit DRA7 changes
== Issues ==
* None
== Progress ==
* Repaired docker cross-builds (20%)
* Converted Xen to use proper packages (30%)
* Finishing touches to ARMv8 native builders (now used for armhf too)
(CARD-1729 20%)
* Workaround race between archiving artifacts and post-build-repo (20%)
== Plans ==
* Investigate BUG-1245 (Lava/Xen brokenness)
* Arm32 guests on Arm64 for kvm
== Issues ==
* Serial characters get eaten in LAVA/Xen since a week:
https://bugs.linaro.org/show_bug.cgi?id=1245
== Progress ==
* CI bring up for TI member build (CARD-1216, 70%)
* WiFi integration in Hikey Android build (CARD-1777, 30%)
== Plans ==
* Android Release
****************
Team Work Logged
****************
# milo Progress #
* LAVA-1511 - Upstream Kernel CI
* LAVA-1811 - Frontend UI improvements/requests (98.42%)
* Added unique values count for boot reports as we have on the email report.
* Changed Google Analytics snippet to use the Universal Analytics one.
* Make sure we are only showing, in the overall jobs page, the build and boot reports count for the latest job, not for all the jobs in the date range.
* Worked during Connect on adding +/- buttons to show/hide bisect rows when there are more then a certain amount of them (now defaults to 6).
* Completed bisect table functions to show/hide rows based on total number of rows available.
* Fixed pie chart heading alignment on boots and builds page.
* Created initial graph test (pass rate for jobs ran) as a base for other trending graphs. Cleaning up the code and adding tooltips, mouse over events is in progress.
* LAVA-1608 - General Team Items
* LAVA-1836 - Milo's Code Review (1.58%)
* Review #4635.
* Went through documentation rewrite in #4451
# stylesen Progress #
* LAVA-1536 - LAVA Server
* LAVA-1823 - Provide support for Asian Languages for key text fields (100.0%)
* Patchsets are in review for both lava-server and lava-dispatcher as follows:
https://review.linaro.org/#/c/4663/https://review.linaro.org/#/c/4638/
# remi.duraffort(a)st.com Progress #
* LAVA-1429 - Dispatcher Refactoring
* LAVA-1871 - Dispatcher Master-Slave protocol (100.0%)
# neil.williams(a)linaro.org Progress #
* LAVA-1429 - Dispatcher Refactoring
* LAVA-1804 - DF: Implement advanced use cases (100.0%)
****************
Team In-Progress
****************
# georgy.redkozubov(a)linaro.org Plan #
* LAVA-1778 - Update documentation
* LAVA-1777 - Create lava-test-shell helpers for performance collection
# milo.casagrande(a)linaro.org Plan #
* LAVA-1651 - Health monitoring for components
* LAVA-1554 - [backend] Email notification system
* LAVA-1864 - Add simple trending graph for job view
# neil.williams(a)linaro.org Plan #
* LAVA-1806 - Port VMGroup support as secondary connections
* LAVA-1853 - Ensure VMgroup operations use a clean environment
* LAVA-1827 - Extend Multinode for delayed start
# remi.duraffort(a)linaro.org Plan #
* LAVA-1680 - Factorize utils functions in a specific module
* LAVA-1580 - Download Helper
* LAVA-1784 - New device configuration
* LAVA-1755 - ST boards support
* LAVA-1577 - VCS Helper class
# senthil.kumaran(a)linaro.org Plan #
* LAVA-1832 - LAVA Extension for Linaro Login Service
* LAVA-1414 - LC: Linaro login integration with LAVA
# stevan.radakovic(a)linaro.org Plan #
* LAVA-1629 - 808
* LAVA-1831 - Add the ability to add/modify/remove meta-data for existing bundles
* LAVA-1734 - 909
# tyler.baker(a)linaro.org Plan #
* LAVA-1792 - Tyler's Mentoring
* LAVA-1818 - Document Upstream Kernel CI Project on WIKI
* LAVA-1830 - Implement file upload API in lava-ci
* LAVA-1819 - Draft Blog Post for Upstream Kernel CI Project
* LAVA-1829 - Improve Kernel-CI E-mail Reporting